package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Id;

/**
 * 试卷批次对象 learn_test
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnTest extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考卷批次 */
    @Id
    private Integer batchId;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private Integer year;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private String name;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long creatorId;

    public Integer getBatchId() {
        return batchId;
    }

    public void setBatchId(Integer batchId) {
        this.batchId = batchId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setCreatorId(Long creatorId) 
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId() 
    {
        return creatorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("batchId", getBatchId())
            .append("name", getName())
            .append("creatorId", getCreatorId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
